%define name getmail
%define version 4.3.5
%define release 1mdk

Name:		%{name}
Summary:	POP3 mail retriever with reliable Maildir delivery
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Mail
URL:		http://www.qcc.sk.ca/~charlesc/software/getmail-2.0/getmail.html
Source:		http://www.qcc.ca/~charlesc/software/getmail-4/%{name}-%{version}.tar.bz2
Requires:	python >= 1.5.2
BuildRequires:  python = 2.4
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-buildroot


%description
getmail is intended as a simple replacement for fetchmail for those people
who do not need its various and sundry configuration options, complexities,
and bugs.  It retrieves mail from one or more POP3 servers for one or more
email accounts, and reliably delivers into a Maildir specified on a
per-account basis.  It can also deliver into mbox files, although this
should not be attempted over NFS.  getmail is written entirely in python.


%prep -q
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
#python setup.py install
python setup.py install --root=$RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT/%_mandir/
#mv  $RPM_BUILD_ROOT/usr/man/man1  $RPM_BUILD_ROOT/%_mandir/
rm -Rf $RPM_BUILD_ROOT/usr/doc/
#mkdir -p %{buildroot}{%{_bindir},%{_sysconfdir}}
#mkdir -p %{buildroot}%{_datadir}/getmail/
#mkdir -p %{buildroot}%_mandir/man1
#
#install -m755 getmail %{buildroot}%{_bindir}
#install -m755 getmail_maildir %{buildroot}%{_bindir}
#install -m755 getmail_mbox %{buildroot}%{_bindir}
#install -m644 getmail.py %{buildroot}%{_datadir}/getmail/
#install -m644 getmail_*.py %{buildroot}%{_datadir}/getmail/
#install -m644 ConfParser* %{buildroot}%{_datadir}/getmail/
#install -m644 timeoutsocket.py* %{buildroot}%{_datadir}/getmail/
#
#install -m644 $RPM_BUILD_DIR/%{name}-%{version}/getmail.1 %{buildroot}%_mandir/man1/
#perl -pi -e 's#/usr/lib/getmail#%{_datadir}/getmail#'  %{buildroot}%{_bindir}/getmail*
## Produce bytecode
#python %{_libdir}/python2.3/compileall.py -d %_datadir/getmail/ $RPM_BUILD_ROOT/%_datadir/getmail/
#
%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc docs/*
%_libdir/python%pyver/site-packages/getmailcore/
%_bindir/getmail*
#%_datadir/getmail
%_mandir/man1/*

%changelog
* Mon Apr 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 4.3.5-1mdk
- 4.3.5

* Mon Feb 21 2005 Lenny Cartier <lenny@mandrakesoft.com> 4.3.3-1mdk
- 4.3.3

* Sun Feb 06 2005 Lenny Cartier <lenny@mandrakesoft.com> 4.3.2-1mdk
- 4.3.2

* Wed Jan 19 2005 Lenny Cartier <lenny@mandrakesoft.com> 4.3.1-1mdk
- 4.3.1

* Mon Jan 10 2005 Lenny Cartier <lenny@mandrakesoft.com> 4.3.0-1mdk
- 4.3.0

* Mon Jan 03 2005 Lenny Cartier <lenny@mandrakesoft.com> 4.2.6-1mdk
- 4.2.6

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 4.2.4-2mdk
- Rebuild for new python

* Mon Nov 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.2.4-1mdk
- 4.2.4

* Mon Oct 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.2.1-1mdk
- 4.2.1

* Tue Sep 21 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.2.0-1mdk
- 4.2.0

* Wed Sep 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.1.3-1mdk
- 4.1.3

* Wed Aug 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.1.0-1mdk
- 4.1.0

* Thu Aug 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.12-1mdk
- 4.0.12

* Fri Aug 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.10-1mdk
- 4.0.10

* Mon Aug 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.8-1mdk
- 4.0.8

* Thu Aug 05 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.6-1mdk
- 4.0.6

* Tue Aug 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.4-1mdk
- 4.0.4

* Mon Jul 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.1-1mdk
- 4.0.1

* Sat Jul 24 2004 Michael Scherer <misc@mandrake.org> 4.0.0-1mdk
- New release 4.0.0
- change url

* Fri May 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.2.4-1mdk
- 3.2.4

* Tue Mar 23 2004 Michael Scherer <misc@mandrake.org> 3.2.2-1mdk
- 3.2.2
- use /usr/share/getmail/
 
* Mon Jan 12 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1
- add getmail_mbox in bindir

* Fri Sep 05 2003 Marcel Pol <mpol@gmx.net> 3.1.2-2mdk
- build on python 2.3

* Fri Apr 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Mon Mar 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1
- add new files

* Fri Feb 21 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Tue Feb 11 2003  Lenny Cartier <lenny@mandrakesoft.com> 3.0.0-1mdk
- 3.0.0

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.3.11-1mdk
- 2.3.11
- add manpage

* Thu Jul 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.3.9-1mdk
- 2.3.9

* Mon Mar 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.3.2-1mdk
- 2.3.2

* Thu Mar 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.2.4-1mdk
- 2.2.4

* Thu Feb 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.2.3-1mdk
- 2.2.3

* Mon Jan 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.2.0-1mdk
- 2.2.0

* Sat Jan 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.9-4mdk
- buildrequires python

* Fri Jan 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.9-3mdk
- produce pre-compiled bytecode versions

* Fri Jan 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.9-2mdk
- apply fixes from author Charles Cazabon <charlesc@discworld.dyndns.org> :
	- provides COPYING file
	- more doc
	- fix file list ( /usr/lib/getmail/ )

* Sun Dec 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.9-1mdk
- 2.1.9

* Wed Nov 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.7-1mdk
- 2.1.7

* Mon Sep 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.5-1mdk
- 2.1.5

* Sat Jul 14 2001  Daouda Lo <daouda@mandrakesoft.com> 2.1.1-2mdk
- fixed URL.

* Fri Jul 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.1-1mdk
- updated to 2.1.1

* Thu Apr 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.19-1mdk
- updated to 2.0.19

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.6-1mdk
- updated to 2.0.6

* Thu Aug  3 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.11-1mdk
- build for mandrake
